# otpverification/urls.py
from django.urls import path
from .views import check_device_view,send_otp,re_registration,verify_otp, register_device,generate_second_otp,verify_second_otp,send_device_info,get_user_id

urlpatterns = [
    path('check-device/', check_device_view, name='check-device'), 
    path('send-otp/', send_otp, name='send_otp'),
    path('re_registration/', re_registration, name='re_registration'),
    path('verify_otp/', verify_otp, name='verify_otp'),
    path('register-device/', register_device, name='register_device'),
    path('send-device-info/', send_device_info, name='send-device-info'),  # URL for the send_device_info view
    path('generate-second-otp/', generate_second_otp, name='generate_second_otp'),
    path('verify-second-otp/', verify_second_otp, name='verify_second_otp'),
    path('get-user-id/', get_user_id, name='get_user_id'),  # New endpoint
]
    
